Package nl.tue.id.oocsi.client.data

# Class JSONReader

java.lang.Object
nl.tue.id.oocsi.client.data.JSONReader

    public class JSONReader
    extends java.lang.Object

JSONReader is part of the StringTree library (https://github.com/efficacy/stringtree) Apache licence 2.0 http://www.apache.org/licenses/LICENSE-2.0.html

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected static java.lang.Object` | `ARRAY_END` |
  `protected java.lang.StringBuffer` | `buf` |
  `protected char` | `c` |
  `protected static java.lang.Object` | `COLON` |
  `protected static java.lang.Object` | `COMMA` |
  `static int` | `CURRENT` |
  `protected static java.util.Map<java.lang.Character,​java.lang.Character>` | `escapes` |
  `static int` | `FIRST` |
  `protected java.text.CharacterIterator` | `it` |
  `static int` | `NEXT` |
  `protected static java.lang.Object` | `OBJECT_END` |
  `protected java.lang.Object` | `token` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `JSONReader()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `add()` |
  `protected void` | `add​(char cc)` |
  `protected int` | `addDigits()` |
  `protected java.lang.Object` | `array()` |
  `protected char` | `next()` |
  `protected java.lang.Object` | `number()` |
  `protected java.lang.Object` | `object()` |
  `protected java.lang.Object` | `read()` |
  `java.lang.Object` | `read​(java.lang.String string)` |
  `java.lang.Object` | `read​(java.text.CharacterIterator it)` |
  `java.lang.Object` | `read​(java.text.CharacterIterator ci, int start)` |
  `void` | `reset()` |
  `protected void` | `skipWhiteSpace()` |
  `protected java.lang.Object` | `string()` |
  `protected char` | `unicode()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OBJECT_END

    protected static final java.lang.Object OBJECT_END

  - ### ARRAY_END

    protected static final java.lang.Object ARRAY_END

  - ### COLON

    protected static final java.lang.Object COLON

  - ### COMMA

    protected static final java.lang.Object COMMA

  - ### FIRST

    public static final int FIRST
    See Also:
      Constant Field Values

  - ### CURRENT

    public static final int CURRENT
    See Also:
      Constant Field Values

  - ### NEXT

    public static final int NEXT
    See Also:
      Constant Field Values

  - ### escapes

    protected static java.util.Map<java.lang.Character,​java.lang.Character> escapes

  - ### it

    protected java.text.CharacterIterator it

  - ### c

    protected char c

  - ### token

    protected java.lang.Object token

  - ### buf

    protected java.lang.StringBuffer buf

- ## Constructor Details

  - ### JSONReader

    public JSONReader()

- ## Method Details

  - ### reset

    public void reset()

  - ### next

    protected char next()

  - ### skipWhiteSpace

    protected void skipWhiteSpace()

  - ### read

    public java.lang.Object read​(java.text.CharacterIterator ci, int start)

  - ### read

    public java.lang.Object read​(java.text.CharacterIterator it)

  - ### read

    public java.lang.Object read​(java.lang.String string)

  - ### read

    protected java.lang.Object read()

  - ### object

    protected java.lang.Object object()

  - ### array

    protected java.lang.Object array()

  - ### number

    protected java.lang.Object number()

  - ### addDigits

    protected int addDigits()

  - ### string

    protected java.lang.Object string()

  - ### add

    protected void add​(char cc)

  - ### add

    protected void add()

  - ### unicode

    protected char unicode()